{% extends "machina/board_base.html" %}
{% load i18n %}
{% load static %}

{% block css %}
  {{ block.super }}
  <link rel="stylesheet" type="text/css" href="{% static 'css/theme.css' %}" />
{% endblock css %}



{% block header %}
<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
  <a class="navbar-brand" href="{% url 'forum:index' %}">{% block brand %}{{ MACHINA_FORUM_NAME|default:"My forum" }}{% endblock %}</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    {% block header_collapse %}
<ul class="navbar-nav ml-auto">
  {% if request.user.is_authenticated %}
  <li class="nav-item dropdown">
    <a href="#" id="id_navbar_dropdown" class="nav-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      <span class="fas fa-user"></span>
      <strong>{{ request.user.username }}</strong>
    </a>
    <ul class="dropdown-menu" aria-labelledby="id_navbar_dropdown">
      <a href="{% url 'forum_member:profile' request.user.id %}" class="dropdown-item">{% trans "Profile" %}</a>
      
      <a href="{% url 'logout'%}" class="dropdown-item">{% trans "Sign out" %}</a>
    </ul>
  </li>
  {% else %}
  <li class="nav-item"><a href="{% url 'register' %}" class="nav-link">{% trans "Sign up" %}</a></li>
  <li class="nav-item"><a href="{% url 'login' %}" class="nav-link">{% trans "Sign in" %}</a></li>
  {% endif %}
</ul>
    {% endblock header_collapse %}
  </div>
</nav>
{% endblock header %}


{% block body %}
<div id="wrap">
  {{ block.super }}
  <div id="push"></div>
</div>
<footer id="footer" class="py-2 bg-light">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <p class="text-right text-muted">
          {% trans "Powered by" %} <a href="https://www.djangoproject.com/">Django</a> &amp; <a href="https://github.com/ellmetha/django-machina">django-machina</a>
        </p>
      </div>
    </div>
  </div>
</footer>
{% endblock body %}
